import { Base, Type } from "igniteui-angular-core";
import { ST_LayoutMode } from "./ST_LayoutMode";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_LayoutMode extends Base {
    static $t: Type;
    private c;
    constructor();
    b: ST_LayoutMode;
    static e(a: XmlPartManagerBase, b: ST_LayoutMode): {
        p1: ST_LayoutMode;
    };
    static f(a: XmlPartManagerBase, b: string, c: ST_LayoutMode): void;
    toString(): string;
}
